问:Amazon RDS for SQL Server 支持哪些数据库版本?
Amazon RDS for SQL Server 目前支持 Microsoft SQL Server 2008 R2、2012、2014、2016 和 2017。有关支持的次要版本的信息,请参阅 Amazon RDS 用户指南
 
问:Amazon RDS for SQL Server 支持哪些功能?
您可以在 Amazon RDS 用户指南中查看支持的功能列表。
 
问:Amazon RDS 如何区分 SQL Server 的“主要”和“次要”版本?
在 Amazon RDS for SQL Server 环境中,版次编号的组织方式通常如下:
SQL Server 版本 = X.Y.Z.A.B
X = 主要数据库版本,Z/A/B = 次要版本
例如,从 13.00.2164.0.v1 升级到 13.00.4001.v1,即为 次要版本升级,而从 12.00.5000.0.v1 升级到 13.00.2164.0.v1,即为 主要版本升级。
我们遵循版本名称中的 Microsoft SQL Server 惯例
 
问:Amazon RDS 是否针对升级引擎版本或弃用当前受支持的引擎版本提供了准则?
是。请参阅 Amazon RDS 常见问题
 
问:为什么无法扩展我的存储?
您的 RDS for SQL Server 实例可能不符合条件,无法使用扩展存储。之所以会发生这种情况,主要有以下两个原因:
1.磁性存储类型不符合条件。
2.在 2017 年 1 月 1 日之前启动的数据库实例使用的可能是不符合条件的旧存储配置。
 
问:如果我的 SQL Server 实例不符合条件,无法使用扩展存储,该怎么办?
您可以进行本机备份或使用数据迁移工具,将现有的实例迁移至新的 RDS for SQL Server 实例。请确保新实例的存储类型是预配置 IOPS 或通用 (SSD)。有关更多信息,请参阅 SQL Server 数据导入指南
 
问:我刚刚扩展了我的存储大小。我还能再扩展一次吗?
可以。但是,两次扩展之间需要间隔六小时。
 
问:我能否在 Amazon RDS for SQL Server 中使用 Windows 集成身份认证?
可以。为此,您必须安装 AWS Directory Service for Microsoft Active Directory 并将 Amazon RDS for SQL Server 加入该目录。通过使用从 AWS Directory Service for Microsoft Active Directory 到现有 Active Directory (AD) 的单向信任,Amazon RDS for SQL Server 可以对现有 AD 用户进行身份验证。目前,您必须将目录和 Amazon RDS for SQL Server 安装在同一 Virtual Private Cloud (VPC) 中。 了解更多。
Product-Page_Standard-Icons_01_Product-Features_SqInk
详细了解产品定价信息

Amazon RDS 提供免费试用。仅按实际使用量付费。没有最低收费。 

了解更多 
Product-Page_Standard-Icons_02_Sign-Up_SqInk
注册免费账户

立即享受 AWS 免费套餐。 

注册 
Product-Page_Standard-Icons_03_Start-Building_SqInk
开始在控制台中构建

开始在 AWS 控制台中使用 Amazon RDS for SQL Server。

登录